Bug 59190 - (NET DMFE)using dmfe module causes kernel panic
Summary: (NET DMFE)using dmfe module causes kernel panic
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.0
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-01 21:43 UTC by Jim Collins
Modified: 2013-07-03 02:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:39:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jim Collins 2002-02-01 21:43:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.19-7.0.8 i686)

Description of problem:
Using RH7 (2.2.19-7.0.12) on Dell 8200 which shipped with CNET Tech PRO200WL
ethernet adapter (Davicom chip set), I can load dmfe module and see eth0
interface appear but when traffic is sent over interface the kernel panics.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Get machine with CNET Pro200WL PCI FastEther Adapter and 2.2.19-7.0.12 kernel
installed.
2. insmod dfme
3. configure eth0 interface
4. send traffic over interface

Actual Results:  Kernel panics with:

<bunch of data>
Code: 89 50 04 68 ...
Aiee, killing interrupt handler
Kernel panic: Attempted to kill the idle task!
Interrupt handler - not syncing

Expected Results:  I should be able to use the interface to pass traffic.

Additional info:

kudzu does not seem to identify the card properly but I determined
that the card has a davicom ethernet chip in it and so manually choose the dmfe
module. I understand the 2.2 dfme modules might not
be very good? You have any suggestions?

Comment 1 Jim Collins 2002-02-01 21:57:09 UTC
Obviosuly, step (2) of "Steps to reproduce" should be "insmod dmfe" *not*
"insmod dfme" Argh. - Jim

Comment 2 Brian Thompson 2002-03-31 17:18:55 UTC
i too have a dimension 8200, what graphics card did you get? i got the 
geforce3 and it didn't autodetec my monitor...but i think i have fixed that 
issue by intalling the nvidia drivers

i still can't get ethernet to work =( anyone at redhat help please?

Comment 3 Brian Thompson 2002-04-06 05:39:40 UTC
actually i think dell is purposely not supporting linux as microsoft is giving 
them the shaft about being a premiere business partner and selling linux on 
their machines

corporate bastards

Comment 4 Bugzilla owner 2004-09-30 15:39:21 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.